complexType "NonPeriodicFixedPriceLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, fixedPrice?, totalPrice?, quantityReference?, (relativePaymentDates? | paymentDates? | masterAgreementPaymentDates?)
</...>

Content Model Elements (10):

  fixedPrice (in fixedLeg in commodityForward),
  masterAgreementPaymentDates,
  payerAccountReference,
  payerPartyReference,
  paymentDates (defined in CommodityNonPeriodicPaymentDates.model group),
  quantityReference (in fixedLeg in commodityForward),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  relativePaymentDates,
  totalPrice (in fixedLeg in commodityForward)

All Direct / Indirect Based Elements (1):

  fixedLeg (in commodityForward)

Known Usage Locations

- As direct type of elements (1):
  fixedLeg (in commodityForward)

Annotation
The details of a fixed payment. Can be used for a forward transaction or as the base for a more complex fixed leg component such as the fixed leg of a swap.
Type Definition Detail

Type Derivation Tree Leg (extension) NonPeriodicFixedPriceLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="NonPeriodicFixedPriceLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"/> <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="quantityReference" type="QuantityReference"/> <xsd:group ref="CommodityPaymentDates.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/10)
fixedPrice

  Type: | FixedPrice, complex content

  Fixed price on which fixed payments are based.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"/>

quantityReference

  Type: | QuantityReference, empty content

  A pointer style reference to a quantity defined on another leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantityReference" type="QuantityReference"/>

totalPrice

  Type: | NonNegativeMoney, complex content

  The total amount of the fixed payment for all units of the underlying commodity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.